Gradle project를 생성했는데 이런 메세지가 나와요!

미해결질문
이동욱 프로필
이동욱 2018.07.22

안녕하세요?

혹시 Java가 설치되어 있으신가요?

IntelliJ가 사용할 JDK가 지정되어 있지 않아서 JDK 대신에 Jre을 사용하다보니 발생한 문제인데요.

댓글에 사진 캡쳐가 안되다 보니 관련 링크를 첨부합니다!

https://intellij-support.jetbrains.com/hc/en-us/community/posts/206825155-gradle-project-import-resolve-error

IntelliJ 최상단 탭들에 보면 File 탭이 보이실텐데요.

File -> Project Structure -> Project 로 이동해보시면 Project SDK 라는 항목에서 현재 선택된 JDK 버전이 나오는데, 그 부분을 설치하신 JDK 로 변경해주시면 됩니다!

JAEHYUN KIM 프로필
JAEHYUN KIM 2018.07.22

구글링 후 얻은 결과를 공유합니다.

gradle 설치와 GRADLE_HOME 환경변수 설정을 해야 했었습니다.

저는 scoop이라는 command-installer를 설치하고 scoop을 통해 gradle을 설치했습니다.

scoop으로 설치하니 따로 환경변수 설정은 필요없더군요.

이후 다시 인텔리j를 실행하니 gradle이 동작했습니다.